#
# spec file for package lynx (Version 2.8.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  openssl openssl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool openssl-devel perl rpm

Name:         lynx
License:      GPL
Group:        Productivity/Networking/Web/Browsers
Provides:     lynxssl web_browser
Obsoletes:    lynxssl
Prereq:       /bin/cp
Autoreqprov:  on
Version:      2.8.4
Release:      596
URL:          http://lynx.isc.org
Summary:      A text-based WWW browser
Source:       http://lynx.isc.org/lynx2.8.4/lynx%{version}rel.1.tar.bz2
Source1:      po.tar.bz2
Patch1:       lynx2.8.4rel.1a.patch
Patch2:       lynx2.8.4rel.1b.patch
Patch3:       lynx2.8.4rel.1c.patch
Patch4:       lynx2.8.4rel.1d.patch
Patch5:       lynx2.8.4-locale.patch
Patch6:       lynx-CAN-2005-3120.patch
Patch100:     lynx2.8.4.dif
Patch101:     lynx2.8.4-ipv6.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Lynx is an easy to use browser for HTML documents and other internet
services like FTP, telnet, and news.  Lynx is fast.  It is purely text
based and therefore makes it possible to use WWW resources on text
terminals.



Authors:
--------
    Michael Grobe <grobe@kuhub.cc.ukans.edu>
    Lou Montulli

%prep
%setup -n lynx2-8-4 -a 1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1 -b .orig
%patch6 -p1
%patch100
%patch101 -p1 -b .orig
# containing a few test msg's only:
rm -f po/{es,fr,it,ko,no,pl,pt}.po

%build
%{?suse_update_config:%{suse_update_config -f}}
export CFLAGS="$RPM_OPT_FLAGS -pipe"
./configure \
	--with-ssl \
	--enable-nls \
	--prefix=/usr \
	--mandir=%{_mandir} \
	--libdir=/etc \
	--enable-default-colors \
	--enable-ipv6
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make clean
make EXTRAA="-DSHOW_COLOR=TRUE"
mkdir -p $RPM_BUILD_ROOT
install -s lynx $RPM_BUILD_ROOT/usr/bin/lynx-color

%files
%doc README COPYING PROBLEMS lynx_help
/usr/bin/lynx
/usr/bin/lynx-color
%config /etc/lynx.cfg
%doc %{_mandir}/man1/lynx.1.gz
/usr/share/locale/*/LC_MESSAGES/lynx.mo

%changelog -n lynx
* Thu Oct 20 2005 - kssingvo@suse.de
- fix for nntpserver buffer overflow CAN-2005-3120 (bugzilla#121926)
* Tue Sep 02 2003 - kssingvo@suse.de
-  strange things in certain locale fix (bugzilla#29772)
* Thu May 15 2003 - coolo@suse.de
- use BuildRoot
* Tue Feb 18 2003 - kssingvo@suse.de
- fixed (hopefully) problem with IPv6 addresses (bugzilla #20744)
* Wed Dec 11 2002 - kssingvo@suse.de
- added offical patches a-d
* Fri Sep 27 2002 - uli@suse.de
- ignore both unset and empty *_proxy variables (bug #20262)
* Thu Aug 22 2002 - uli@suse.de
- moved config file from /usr/lib to /etc (bug #18179)
* Sun Jun 09 2002 - olh@suse.de
- use suse_update_config for ppc64
* Mon May 27 2002 - uli@suse.de
- assume local .php* files to be text/html (bug #15907)
* Mon Mar 18 2002 - uli@suse.de
- backed out the aforementioned fix as it breaks important sites
  (e.g. freshmeat, slashdot; fixes bug #15065)
* Tue Feb 19 2002 - uli@suse.de
- disabled default compressed handlers (fixes bug #13304)
* Mon Sep 17 2001 - uli@suse.de
- enabled use of default colors (was disabled all the time, but it
  seems the disabling didn't work before 2.8.4)
* Thu Aug 16 2001 - uli@suse.de
- update -> 2.8.4 rel. 1
- enabled IPv6 (Bug #8655)
* Fri Jul 27 2001 - ke@suse.de
- update message files from
  http://www.iro.umontreal.ca/contrib/po/maint/lynx/ ; packed as
  po.tar.bz2.
  Fix [#8662].
* Wed Jun 27 2001 - uli@suse.de
- update -> 2.8.3 final
- enabled NLS
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Thu Jan 04 2001 - uli@suse.de
- changed lynxssl -> lynx in some paths
* Tue Dec 19 2000 - lmuelle@suse.de
- remove unnecessary Provides: lynx2
* Mon Dec 18 2000 - uli@suse.de
- "lynxssl" becomes "lynx" (non-SSL version will be dropped)
* Mon Nov 27 2000 - uli@suse.de
- fixed neededforbuild
- uses passive FTP by default (req. by Andi Kleen)
* Wed Sep 27 2000 - uli@suse.de
- new package with SSL support
* Fri Aug 18 2000 - uli@suse.de
- fixed location of help file in lynx.cfg
* Fri Jun 02 2000 - kukuk@suse.de
- Use doc macro
* Wed Mar 01 2000 - schwab@suse.de
- Add group tag.
- /usr/man -> /usr/share/man
* Mon Sep 20 1999 - ro@suse.de
- added Provides web_browser
* Wed Sep 15 1999 - uli@suse.de
- update -> 2.8.3dev9
- scrapped Makefile.Linux
- added RPM_OPT_FLAGS to CFLAGS
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 27 1998 - florian@suse.de
- add /usr/bin/lynx-color again, as there is no global
  configuration possibility
* Thu Jul 16 1998 - florian@suse.de
- update to version 2.8
- no need to have an extra ncurses-color anymore as the
  ncurses-version has now also color support: "lynx -color"
* Wed Mar 04 1998 - florian@suse.de
- update to version 2.7.2
* Fri Oct 17 1997 - ro@suse.de
- ready for autobuild
* Tue Jul 29 1997 - florian@suse.de
- add security-fix for lynx 2.7.1
- also include a "lynx-color" that is build with slang instead of ncurses
  future lynx-ncurses will also have color-support, but a separate
  lynx-color should be ok right now
* Mon Jun 02 1997 - florian@suse.de
- update to version 2-7-1
* Sun Apr 13 1997 - florian@suse.de
- update to new version 2.7
* Thu Jan 02 1997 - florian@suse.de
- Update auf Version 2-6.
- Beim Aufruf des eingebauten Hilfesystems werden lokale Dateien
  aufgerufen und nicht die Internet-Version benuetzt.
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version 2-6. /usr/etc/mailcap sollte nun in aaa_base sein.
